import 'package:cs_resources/generated/assets.dart';
import 'package:flutter/cupertino.dart';
import 'package:plugin_platform/engine/toast/toast_engine.dart';
import 'package:riverpod_annotation/riverpod_annotation.dart';
import 'package:shared/utils/log_utils.dart';

import 'following_state.dart';

part 'following_vm.g.dart';

@riverpod
class FollowingVm extends _$FollowingVm {

  FollowingState initState() {
    return FollowingState(
      list: [
          {
            'id':1,
            'avator': Assets.communityCamera,
            'title': 'William Jefferson',
            'isFollow': false,
            'content': 'She said YES and our lives changed.Thank you all for coming to my propose today.We hope everyone can ……[More]',
            'imageUrls': ['https://img2.baidu.com/it/u=3489233687,2364672159&fm=253&fmt=auto&app=120&f=JPEG?w=507&h=500','https://img2.baidu.com/it/u=3489233687,2364672159&fm=253&fmt=auto&app=120&f=JPEG?w=507&h=500','https://img2.baidu.com/it/u=3489233687,2364672159&fm=253&fmt=auto&app=120&f=JPEG?w=507&h=500'],
            'time': 'June 17,2016 at 7:23 p.m.',
              'isLike': true,
            'likeno': 12
          },
          {
            'id':2,
            'avator': Assets.communityCamera,
            'title': 'William fdsaf的飞洒发生的',
            'isFollow': true,
            'content': 'She said YES and our lives changed.Thank you all for coming to my propose today.We hope everyone can ……[More]',
            'imageUrls': [],
            'time': 'June 17,2016 at 7:23 p.m.',
            'isLike': true,
            'likeno': 12
          },
          {
            'id':3,
            'avator': Assets.communityCamera,
            'title': 'Fsjfkds  dfsk',
            'isFollow': false,
            'content': 'She said YES and our lives changed.Thank you all for coming to my propose today.We hope everyone can ……[More]',
            'imageUrls': [],
            'time': 'June 17,2016 at 7:23 p.m.',
            'isLike': false,
            'likeno': 12
          },
          {
            'id':4,
            'avator': Assets.communityCamera,
            'title': 'Fsjfkds  dfsk',
            'isFollow': false,
            'content': 'She said YES and our lives changed.Thank you all for coming to my propose today.We hope everyone can ……[More]',
            'imageUrls': [],
            'time': 'June 17,2016 at 7:23 p.m.',
            'isLike': false,
            'likeno': 12
          },
          {
            'id':5,
            'avator': Assets.communityCamera,
            'title': 'Fsjfkds  dfsk',
            'isFollow': false,
            'content': 'She said YES and our lives changed.Thank you all for coming to my propose today.We hope everyone can ……[More]',
            'imageUrls': [],
            'time': 'June 17,2016 at 7:23 p.m.',
            'isLike': false,
            'likeno': 12
          },
          {
            'id':6,
            'avator': Assets.communityCamera,
            'title': 'Fsjfkds  dfsk',
            'isFollow': false,
            'content': 'She said YES and our lives changed.Thank you all for coming to my propose today.We hope everyone can ……[More]',
            'imageUrls': [],
            'time': 'June 17,2016 at 7:23 p.m.',
            'isLike': false,
            'likeno': 12
          },
          {
            'id':7,
            'avator': Assets.communityCamera,
            'title': '放大发大水',
            'isFollow': false,
            'content': 'She said YES and our lives changed.Thank you all for coming to my propose today.We hope everyone can ……[More]',
            'imageUrls': [],
            'time': 'June 17,2016 at 7:23 p.m.',
            'isLike': false,
            'likeno': 12
          },
      ]
    );
  }

  @override
  FollowingState build(){
    final state = initState();
    Log.d("--------------------------build---------------------");

    return state;
  }

   // 设置当前的 tabsRouter 和 pageController
  Future setTabsRouterAndPageController(dynamic tabsRouter, dynamic pageController) async{
    Log.d("setTabsRouterAndPageController---:$tabsRouter");
  }
}