import 'package:auto_route/auto_route.dart';
import 'package:flutter/material.dart';
import 'package:router/ext/auto_router_extensions.dart';
import 'package:router/path/router_path.dart';

import '../../modules/rewards/page/rewards_page.dart';


part 'rewards_page_router.gr.dart';

/*\
 * rewards 模块的路由
 */
@AutoRouterConfig(replaceInRouteName: 'Page|Screen,PageRoute')
class RewardsPageRouter extends _$RewardsPageRouter {
  @override
  List<AutoRoute> get routes => [

    CustomRoute(page: RewardsPageRoute.page, path: RouterPath.rewards, transitionsBuilder: applySlideTransition),
  ];
}
